Subject: [Ace] Idnits on draft-ietf-ace-cwt-proof-of-possession-05

From: Roman Danyliw <[email-masked]>
Date: Fri, 30 Nov 2018 16:50:01 +0000

Hi!

As part of the shepherd review, I ran idnits on draft-ietf-ace-cwt-proof-of-possession-05.  The following nits were found.  Could these please be fixed in a revised draft.

--[ snip ]--  

  Checking nits according to https://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  ** There is 1 instance of too long lines in the document, the longest one
     being 1 character in excess of 72.

Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

  ** Obsolete normative reference: RFC 5226 (Obsoleted by RFC 8126)

  == Outdated reference: A later version (-17) exists of
     draft-ietf-ace-oauth-authz-16

  -- Obsolete informational reference (is this intentional?): RFC 7159
     (Obsoleted by RFC 8259)

     Summary: 2 errors (**), 0 flaws (~~), 1 warning (==), 2 comments (--).

--[ snip ]--

The line which exceeds 72 characters is in Section 3.4.  Specifically:

 /protected header / h'A1010A' /{ \alg\ 1:10 \AES-CCM-16-64-128\}/,

Regards,
Roman

---

From: Mike Jones <[email-masked]>
Date: Fri, 30 Nov 2018 19:43:15 +0000

Will do...

-----Original Message-----
From: Ace <[email-masked]> On Behalf Of Roman Danyliw
Sent: Friday, November 30, 2018 8:50 AM
To: [email-masked]
Subject: [Ace] Idnits on draft-ietf-ace-cwt-proof-of-possession-05

Hi!

--[ snip ]--  

--[ snip ]--

Regards,
Roman

_______________________________________________
Ace mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ace

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 30 Nov 2018 21:51:13 +0100

On Nov 30, 2018, at 17:50, Roman Danyliw <[email-masked]> wrote:
> 
> /protected header / h’A1010A' /{ \alg\ 1:10 \AES-CCM-16-64-128\}/,

You may want to switch to the << … >> form:

> /protected header / << { /alg/ 1: 10 /AES-CCM-16-64-128/ } >>,

Grüße, Carsten